
#define TL_LINEAR 0x2601
#define TL_EXP 0x0800
#define TL_EXP2 0x0801

#if !defined(FOG_MODE)
	#define FOG_MODE -1
#endif

// Uniforms
uniform int u_fogMode;
uniform float u_fogDensity;
uniform float u_fogStart;
uniform float u_fogEnd;

// Functions
float calcFogLinear(float distanceToEye);
float calcFogExp(float distanceToEye);
float calcFogExp2(float distanceToEye);


float calcFogFactor(float distanceToEye)
{
	float fogFactor;
	fogFactor = calcFogLinear(distanceToEye);
	
	return fogFactor;
}

float calcFogLinear(float distanceToEye)
{
	float f = (u_fogEnd - distanceToEye) / (u_fogEnd - u_fogStart);
	return clamp(f, c_zerof, c_onef);
}

float calcFogExp(float distanceToEye)
{
	float f = exp(-(distanceToEye * u_fogDensity));
	return clamp(f, c_zerof, c_onef);
}

float calcFogExp2(float distanceToEye)
{
	float f = distanceToEye * u_fogDensity;
	f = exp(-(f*f));
	return clamp(f, c_zerof, c_onef);
}
